---
name: Bug or crash report
about: Report unexpected behavior to help us improve
title: ''
labels: 'bug'
assignees: ''

---

**Describe the problem**
Please describe the issue you observed, and any steps we can take to reproduce it:

**To Reproduce**
What did you do? Describe in your own words.

If possible, provide steps to reproduce the behavior:

1. Set up ReadySet ...
2. Cache a query ...
3. Look at ReadySet dashboard / log file / client app ...
4. See error

**Expected behavior**
A clear and concise description of what you expected to happen.

**Additional data / screenshots**
If the problem is query-related, include a copy of the SQL query and the schema
of the supporting tables.

If applicable, add screenshots to help explain your problem.

**Environment**
 - ReadySet version [e.g., beta-2022-11-02]
 - ReadySet deployment method [e.g, local orchestrator, Helm chart, binaries]
 - Upstream database and version [e.g., Postgres 14]
 - Client app [e.g., `psql`, `mysql`, SQLAlchemy, TypeORM]

**Additional context**
What was the impact?

Add any other context about the problem here.
